/***************************************************************************
 *            var.h
 *
 *  Thu Mar 25 22:14:30 2004
 *  Copyright  2004  Marcin Krzywonos
 *  e-mail: mkk@akcja.pl
 ****************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */


#include <gnome.h>


typedef struct {
	guint dzien;
	guint miesiac;
	guint rok;
} typ_data;

typedef struct {
	typ_data data;
	char     sprawdzian [20];
	char     kartkowka1 [20];
	char     kartkowka2 [20];
	char     notatki    [255];
	char     przedmiot  [8][20];
	char     oceny      [9][20];
} wpis_struct;

typedef struct {
	char dzien [9][20];
} plan_lekcji;

typedef struct {
	int godzina;
	int minuta;
	int sekunda;
} czas_struct;

typedef struct {
	char przedmiot [20];
	char oceny     [512];
} lista_ocen;


wpis_struct  baza       [2201];
plan_lekcji  plan       [5];
typ_data     wolne_dni  [365];
char         ustawienia [50][300];


typ_data     biezaca_data;
int          ostatni;
int          wwp_czynnosc;
char         katalog_ustawien [200];
typ_data     wn_edytowany_dzien;


GtkWidget *main_widget; // Widget okna glownego
GtkWidget *wp_widget;   // Widget okna preferencji
GtkWidget *wd_widget;   // Widget okna dziennika
GtkWidget *wwp_widget;  // Widget okna wybierania pliku
GtkWidget *ws_widget;   // Widget okna statystyk
GtkWidget *wzo_widget;  // Widget okna zestawienia ocen


char        *gboolean_to_char         (gboolean wartosc);
gboolean     char_to_gboolean         (char *wartosc);
czas_struct  czas                     ();
typ_data     data                     ();
typ_data     data_rozkoduj            (time_t data);
int          ctoi                     (char c);
float        oblicz_procent           (int liczba, int calosc);
