/***************************************************************************
 *            ie.c
 *
 *  Wed Mar 24 21:18:52 2004
 *  Copyright  2004  Marcin Krzywonos
 *  e-mail: mkk@akcja.pl
 ****************************************************************************/

 /*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 

#include "ie.h"


wpis_struct pobierz_wpis ()
{
	wpis_struct tmp;

	tmp.data.dzien   = biezaca_data.dzien;
	tmp.data.miesiac = biezaca_data.miesiac;
	tmp.data.rok     = biezaca_data.rok;

	GtkWidget *mw_sprawdzian = lookup_widget (GTK_WIDGET (main_widget), "mw_sprawdzian");
	strcpy (tmp.sprawdzian, gtk_entry_get_text (GTK_ENTRY (mw_sprawdzian)));

	GtkWidget *mw_kartkowka1 = lookup_widget (GTK_WIDGET (main_widget), "mw_kartkowka1");
	strcpy (tmp.kartkowka1, gtk_entry_get_text (GTK_ENTRY (mw_kartkowka1)));

	GtkWidget *mw_kartkowka2 = lookup_widget (GTK_WIDGET (main_widget), "mw_kartkowka2");
	strcpy (tmp.kartkowka2, gtk_entry_get_text (GTK_ENTRY (mw_kartkowka2)));

	GtkWidget *mw_notatki = lookup_widget (GTK_WIDGET (main_widget), "mw_notatki");
	GtkTextIter start, end;
	GtkTextBuffer *text_buffer;
	text_buffer = gtk_text_view_get_buffer (GTK_TEXT_VIEW (mw_notatki));
	gtk_text_buffer_get_bounds (text_buffer, &start, &end);
	strcpy (tmp.notatki, gtk_text_buffer_get_text (text_buffer, &start, &end, TRUE));

	GtkWidget *mw_przedmiot_1 = lookup_widget (GTK_WIDGET (main_widget), "mw_przedmiot_1");
	strcpy (tmp.przedmiot[1], gtk_entry_get_text (GTK_ENTRY (mw_przedmiot_1)));
	
	GtkWidget *mw_przedmiot_2 = lookup_widget (GTK_WIDGET (main_widget), "mw_przedmiot_2");
	strcpy (tmp.przedmiot[2], gtk_entry_get_text (GTK_ENTRY (mw_przedmiot_2)));

	GtkWidget *mw_przedmiot_3 = lookup_widget (GTK_WIDGET (main_widget), "mw_przedmiot_3");
	strcpy (tmp.przedmiot[3], gtk_entry_get_text (GTK_ENTRY (mw_przedmiot_3)));
	
	GtkWidget *mw_przedmiot_4 = lookup_widget (GTK_WIDGET (main_widget), "mw_przedmiot_4");
	strcpy (tmp.przedmiot[4], gtk_entry_get_text (GTK_ENTRY (mw_przedmiot_4)));
	
	GtkWidget *mw_przedmiot_5 = lookup_widget (GTK_WIDGET (main_widget), "mw_przedmiot_5");
	strcpy (tmp.przedmiot[5], gtk_entry_get_text (GTK_ENTRY (mw_przedmiot_5)));
	
	GtkWidget *mw_przedmiot_6 = lookup_widget (GTK_WIDGET (main_widget), "mw_przedmiot_6");
	strcpy (tmp.przedmiot[6], gtk_entry_get_text (GTK_ENTRY (mw_przedmiot_6)));
	
	GtkWidget *mw_przedmiot_7 = lookup_widget (GTK_WIDGET (main_widget), "mw_przedmiot_7");
	strcpy (tmp.przedmiot[7], gtk_entry_get_text (GTK_ENTRY (mw_przedmiot_7)));
	
	GtkWidget *mw_przedmiot_8 = lookup_widget (GTK_WIDGET (main_widget), "mw_przedmiot_8");
	strcpy (tmp.przedmiot[8], gtk_entry_get_text (GTK_ENTRY (mw_przedmiot_8)));
	
	GtkWidget *mw_oceny_1 = lookup_widget (GTK_WIDGET (main_widget), "mw_oceny_1");
	strcpy (tmp.oceny[1], gtk_entry_get_text (GTK_ENTRY (mw_oceny_1)));
	
	GtkWidget *mw_oceny_2 = lookup_widget (GTK_WIDGET (main_widget), "mw_oceny_2");
	strcpy (tmp.oceny[2], gtk_entry_get_text (GTK_ENTRY (mw_oceny_2)));
	
	GtkWidget *mw_oceny_3 = lookup_widget (GTK_WIDGET (main_widget), "mw_oceny_3");
	strcpy (tmp.oceny[3], gtk_entry_get_text (GTK_ENTRY (mw_oceny_3)));
	
	GtkWidget *mw_oceny_4 = lookup_widget (GTK_WIDGET (main_widget), "mw_oceny_4");
	strcpy (tmp.oceny[4], gtk_entry_get_text (GTK_ENTRY (mw_oceny_4)));
	
	GtkWidget *mw_oceny_5 = lookup_widget (GTK_WIDGET (main_widget), "mw_oceny_5");
	strcpy (tmp.oceny[5], gtk_entry_get_text (GTK_ENTRY (mw_oceny_5)));
	
	GtkWidget *mw_oceny_6 = lookup_widget (GTK_WIDGET (main_widget), "mw_oceny_6");
	strcpy (tmp.oceny[6], gtk_entry_get_text (GTK_ENTRY (mw_oceny_6)));
	
	GtkWidget *mw_oceny_7 = lookup_widget (GTK_WIDGET (main_widget), "mw_oceny_7");
	strcpy (tmp.oceny[7], gtk_entry_get_text (GTK_ENTRY (mw_oceny_7)));
	
	GtkWidget *mw_oceny_8 = lookup_widget (GTK_WIDGET (main_widget), "mw_oceny_8");
	strcpy (tmp.oceny[8], gtk_entry_get_text (GTK_ENTRY (mw_oceny_8)));
	
	return tmp;
}


int wypelnij_pola (wpis_struct wpis)
{
	GtkWidget *mw_sprawdzian = lookup_widget (GTK_WIDGET (main_widget), "mw_sprawdzian");
	gtk_entry_set_text (GTK_ENTRY (mw_sprawdzian), wpis.sprawdzian);
	
	GtkWidget *mw_kartkowka1 = lookup_widget (GTK_WIDGET (main_widget), "mw_kartkowka1");
	gtk_entry_set_text (GTK_ENTRY (mw_kartkowka1), wpis.kartkowka1);
	
	GtkWidget *mw_kartkowka2 = lookup_widget (GTK_WIDGET (main_widget), "mw_kartkowka2");
	gtk_entry_set_text (GTK_ENTRY (mw_kartkowka2), wpis.kartkowka2);
	
	GtkWidget *mw_notatki = lookup_widget (GTK_WIDGET (main_widget), "mw_notatki");
	GtkTextBuffer *text_buffer = gtk_text_view_get_buffer (GTK_TEXT_VIEW (mw_notatki));
	gtk_text_buffer_set_text (text_buffer, wpis.notatki, strlen (wpis.notatki));

	GtkWidget *mw_przedmiot_1 = lookup_widget (GTK_WIDGET (main_widget), "mw_przedmiot_1");
	gtk_entry_set_text (GTK_ENTRY (mw_przedmiot_1), wpis.przedmiot[1]);
	
	GtkWidget *mw_przedmiot_2 = lookup_widget (GTK_WIDGET (main_widget), "mw_przedmiot_2");
	gtk_entry_set_text (GTK_ENTRY (mw_przedmiot_2), wpis.przedmiot[2]);
	
	GtkWidget *mw_przedmiot_3 = lookup_widget (GTK_WIDGET (main_widget), "mw_przedmiot_3");
	gtk_entry_set_text (GTK_ENTRY (mw_przedmiot_3), wpis.przedmiot[3]);
	
	GtkWidget *mw_przedmiot_4 = lookup_widget (GTK_WIDGET (main_widget), "mw_przedmiot_4");
	gtk_entry_set_text (GTK_ENTRY (mw_przedmiot_4), wpis.przedmiot[4]);
	
	GtkWidget *mw_przedmiot_5 = lookup_widget (GTK_WIDGET (main_widget), "mw_przedmiot_5");
	gtk_entry_set_text (GTK_ENTRY (mw_przedmiot_5), wpis.przedmiot[5]);
	
	GtkWidget *mw_przedmiot_6 = lookup_widget (GTK_WIDGET (main_widget), "mw_przedmiot_6");
	gtk_entry_set_text (GTK_ENTRY (mw_przedmiot_6), wpis.przedmiot[6]);
	
	GtkWidget *mw_przedmiot_7 = lookup_widget (GTK_WIDGET (main_widget), "mw_przedmiot_7");
	gtk_entry_set_text (GTK_ENTRY (mw_przedmiot_7), wpis.przedmiot[7]);
	
	GtkWidget *mw_przedmiot_8 = lookup_widget (GTK_WIDGET (main_widget), "mw_przedmiot_8");
	gtk_entry_set_text (GTK_ENTRY (mw_przedmiot_8), wpis.przedmiot[8]);

	GtkWidget *mw_oceny_1 = lookup_widget (GTK_WIDGET (main_widget), "mw_oceny_1");
	gtk_entry_set_text (GTK_ENTRY (mw_oceny_1), wpis.oceny[1]);
	
	GtkWidget *mw_oceny_2 = lookup_widget (GTK_WIDGET (main_widget), "mw_oceny_2");
	gtk_entry_set_text (GTK_ENTRY (mw_oceny_2), wpis.oceny[2]);
	
	GtkWidget *mw_oceny_3 = lookup_widget (GTK_WIDGET (main_widget), "mw_oceny_3");
	gtk_entry_set_text (GTK_ENTRY (mw_oceny_3), wpis.oceny[3]);
	
	GtkWidget *mw_oceny_4 = lookup_widget (GTK_WIDGET (main_widget), "mw_oceny_4");
	gtk_entry_set_text (GTK_ENTRY (mw_oceny_4), wpis.oceny[4]);
	
	GtkWidget *mw_oceny_5 = lookup_widget (GTK_WIDGET (main_widget), "mw_oceny_5");
	gtk_entry_set_text (GTK_ENTRY (mw_oceny_5), wpis.oceny[5]);
	
	GtkWidget *mw_oceny_6 = lookup_widget (GTK_WIDGET (main_widget), "mw_oceny_6");
	gtk_entry_set_text (GTK_ENTRY (mw_oceny_6), wpis.oceny[6]);
	
	GtkWidget *mw_oceny_7 = lookup_widget (GTK_WIDGET (main_widget), "mw_oceny_7");
	gtk_entry_set_text (GTK_ENTRY (mw_oceny_7), wpis.oceny[7]);
	
	GtkWidget *mw_oceny_8 = lookup_widget (GTK_WIDGET (main_widget), "mw_oceny_8");
	gtk_entry_set_text (GTK_ENTRY (mw_oceny_8), wpis.oceny[8]);
}

int wstaw_przedmioty (int numer_dnia)
{
	GtkWidget *mw_przedmiot_1 = lookup_widget (GTK_WIDGET (main_widget), "mw_przedmiot_1");
	gtk_entry_set_text (GTK_ENTRY (mw_przedmiot_1), plan[numer_dnia].dzien [1]);
	
	GtkWidget *mw_przedmiot_2 = lookup_widget (GTK_WIDGET (main_widget), "mw_przedmiot_2");
	gtk_entry_set_text (GTK_ENTRY (mw_przedmiot_2), plan[numer_dnia].dzien [2]);
	
	GtkWidget *mw_przedmiot_3 = lookup_widget (GTK_WIDGET (main_widget), "mw_przedmiot_3");
	gtk_entry_set_text (GTK_ENTRY (mw_przedmiot_3), plan[numer_dnia].dzien [3]);
	
	GtkWidget *mw_przedmiot_4 = lookup_widget (GTK_WIDGET (main_widget), "mw_przedmiot_4");
	gtk_entry_set_text (GTK_ENTRY (mw_przedmiot_4), plan[numer_dnia].dzien [4]);
	
	GtkWidget *mw_przedmiot_5 = lookup_widget (GTK_WIDGET (main_widget), "mw_przedmiot_5");
	gtk_entry_set_text (GTK_ENTRY (mw_przedmiot_5), plan[numer_dnia].dzien [5]);
	
	GtkWidget *mw_przedmiot_6 = lookup_widget (GTK_WIDGET (main_widget), "mw_przedmiot_6");
	gtk_entry_set_text (GTK_ENTRY (mw_przedmiot_6), plan[numer_dnia].dzien [6]);
	
	GtkWidget *mw_przedmiot_7 = lookup_widget (GTK_WIDGET (main_widget), "mw_przedmiot_7");
	gtk_entry_set_text (GTK_ENTRY (mw_przedmiot_7), plan[numer_dnia].dzien [7]);
	
	GtkWidget *mw_przedmiot_8 = lookup_widget (GTK_WIDGET (main_widget), "mw_przedmiot_8");
	gtk_entry_set_text (GTK_ENTRY (mw_przedmiot_8), plan[numer_dnia].dzien [8]);
}


void komunikat (gchar *komunikat)
{
	GtkWidget *app = lookup_widget (GTK_WIDGET (main_widget), "MainWindow");
	gnome_app_message (GNOME_APP (app), komunikat);
}

void wyczysc_przedmioty ()
{
	GtkWidget *mw_przedmiot_1 = lookup_widget (GTK_WIDGET (main_widget), "mw_przedmiot_1");
	gtk_entry_set_text (GTK_ENTRY (mw_przedmiot_1), "");
	
	GtkWidget *mw_przedmiot_2 = lookup_widget (GTK_WIDGET (main_widget), "mw_przedmiot_2");
	gtk_entry_set_text (GTK_ENTRY (mw_przedmiot_2), "");
	
	GtkWidget *mw_przedmiot_3 = lookup_widget (GTK_WIDGET (main_widget), "mw_przedmiot_3");
	gtk_entry_set_text (GTK_ENTRY (mw_przedmiot_3), "");
	
	GtkWidget *mw_przedmiot_4 = lookup_widget (GTK_WIDGET (main_widget), "mw_przedmiot_4");
	gtk_entry_set_text (GTK_ENTRY (mw_przedmiot_4), "");
	
	GtkWidget *mw_przedmiot_5 = lookup_widget (GTK_WIDGET (main_widget), "mw_przedmiot_5");
	gtk_entry_set_text (GTK_ENTRY (mw_przedmiot_5), "");
	
	GtkWidget *mw_przedmiot_6 = lookup_widget (GTK_WIDGET (main_widget), "mw_przedmiot_6");
	gtk_entry_set_text (GTK_ENTRY (mw_przedmiot_6), "");
	
	GtkWidget *mw_przedmiot_7 = lookup_widget (GTK_WIDGET (main_widget), "mw_przedmiot_7");
	gtk_entry_set_text (GTK_ENTRY (mw_przedmiot_7), "");
	
	GtkWidget *mw_przedmiot_8 = lookup_widget (GTK_WIDGET (main_widget), "mw_przedmiot_8");
	gtk_entry_set_text (GTK_ENTRY (mw_przedmiot_8), "");
}


void wyczysc_oceny ()
{
	GtkWidget *mw_oceny_1 = lookup_widget (GTK_WIDGET (main_widget), "mw_oceny_1");
	gtk_entry_set_text (GTK_ENTRY (mw_oceny_1), "");
	
	GtkWidget *mw_oceny_2 = lookup_widget (GTK_WIDGET (main_widget), "mw_oceny_2");
	gtk_entry_set_text (GTK_ENTRY (mw_oceny_2), "");
	
	GtkWidget *mw_oceny_3 = lookup_widget (GTK_WIDGET (main_widget), "mw_oceny_3");
	gtk_entry_set_text (GTK_ENTRY (mw_oceny_3), "");
	
	GtkWidget *mw_oceny_4 = lookup_widget (GTK_WIDGET (main_widget), "mw_oceny_4");
	gtk_entry_set_text (GTK_ENTRY (mw_oceny_4), "");
	
	GtkWidget *mw_oceny_5 = lookup_widget (GTK_WIDGET (main_widget), "mw_oceny_5");
	gtk_entry_set_text (GTK_ENTRY (mw_oceny_5), "");
	
	GtkWidget *mw_oceny_6 = lookup_widget (GTK_WIDGET (main_widget), "mw_oceny_6");
	gtk_entry_set_text (GTK_ENTRY (mw_oceny_6), "");
	
	GtkWidget *mw_oceny_7 = lookup_widget (GTK_WIDGET (main_widget), "mw_oceny_7");
	gtk_entry_set_text (GTK_ENTRY (mw_oceny_7), "");
	
	GtkWidget *mw_oceny_8 = lookup_widget (GTK_WIDGET (main_widget), "mw_oceny_8");
	gtk_entry_set_text (GTK_ENTRY (mw_oceny_8), "");
}


void wyczysc_pozostale ()
{	
	GtkWidget *mw_sprawdzian = lookup_widget (GTK_WIDGET (main_widget), "mw_sprawdzian");
	gtk_entry_set_text (GTK_ENTRY (mw_sprawdzian), "");

	GtkWidget *mw_kartkowka1 = lookup_widget (GTK_WIDGET (main_widget), "mw_kartkowka1");
	gtk_entry_set_text (GTK_ENTRY (mw_kartkowka1), "");

	GtkWidget *mw_kartkowka2 = lookup_widget (GTK_WIDGET (main_widget), "mw_kartkowka2");
	gtk_entry_set_text (GTK_ENTRY (mw_kartkowka2), "");

	GtkWidget *mw_notatki = lookup_widget (GTK_WIDGET (main_widget), "mw_notatki");
	GtkTextBuffer *text_buffer = gtk_text_view_get_buffer (GTK_TEXT_VIEW (mw_notatki));
	gtk_text_buffer_set_text (text_buffer, "", strlen (""));
}


void wpisz_biezaca_date ()
{
	char tekst_data[10];
	sprintf (tekst_data, "%d-%d-%d", biezaca_data.dzien, (biezaca_data.miesiac + 1), biezaca_data.rok);
	GtkWidget *data_label = lookup_widget (GTK_WIDGET (main_widget), "data_label");
	gtk_label_set_text (GTK_LABEL (data_label), tekst_data);
}


void pobierz_biezaca_date ()
{
	GtkWidget *kalendarz = lookup_widget (GTK_WIDGET (main_widget), "mw_kalendarz");
	gtk_calendar_get_date (GTK_CALENDAR (kalendarz), &biezaca_data.rok, &biezaca_data.miesiac, &biezaca_data.dzien);
}


int pobierz_plan_lekcji  (GtkWidget *object)
{
	GtkWidget *wpl = lookup_widget (GTK_WIDGET (object), "window_plan_lekcji");
	
	// poniedzialek
	GtkWidget *wpl_poniedzialek_1 = lookup_widget (GTK_WIDGET (wpl), "wpl_poniedzialek_1");
	strcpy (plan[0].dzien[1], gtk_entry_get_text (GTK_ENTRY (wpl_poniedzialek_1)));

	GtkWidget *wpl_poniedzialek_2 = lookup_widget (GTK_WIDGET (wpl), "wpl_poniedzialek_2");
	strcpy (plan[0].dzien[2], gtk_entry_get_text (GTK_ENTRY (wpl_poniedzialek_2)));

	GtkWidget *wpl_poniedzialek_3 = lookup_widget (GTK_WIDGET (wpl), "wpl_poniedzialek_3");
	strcpy (plan[0].dzien[3], gtk_entry_get_text (GTK_ENTRY (wpl_poniedzialek_3)));

	GtkWidget *wpl_poniedzialek_4 = lookup_widget (GTK_WIDGET (wpl), "wpl_poniedzialek_4");
	strcpy (plan[0].dzien[4], gtk_entry_get_text (GTK_ENTRY (wpl_poniedzialek_4)));

	GtkWidget *wpl_poniedzialek_5 = lookup_widget (GTK_WIDGET (wpl), "wpl_poniedzialek_5");
	strcpy (plan[0].dzien[5], gtk_entry_get_text (GTK_ENTRY (wpl_poniedzialek_5)));

	GtkWidget *wpl_poniedzialek_6 = lookup_widget (GTK_WIDGET (wpl), "wpl_poniedzialek_6");
	strcpy (plan[0].dzien[6], gtk_entry_get_text (GTK_ENTRY (wpl_poniedzialek_6)));

	GtkWidget *wpl_poniedzialek_7 = lookup_widget (GTK_WIDGET (wpl), "wpl_poniedzialek_7");
	strcpy (plan[0].dzien[7], gtk_entry_get_text (GTK_ENTRY (wpl_poniedzialek_7)));
	
	GtkWidget *wpl_poniedzialek_8 = lookup_widget (GTK_WIDGET (wpl), "wpl_poniedzialek_8");
	strcpy (plan[0].dzien[8], gtk_entry_get_text (GTK_ENTRY (wpl_poniedzialek_8)));
	
	
	// wtorek
	GtkWidget *wpl_wtorek_1 = lookup_widget (GTK_WIDGET (wpl), "wpl_wtorek_1");
	strcpy (plan[1].dzien[1], gtk_entry_get_text (GTK_ENTRY (wpl_wtorek_1)));
	
	GtkWidget *wpl_wtorek_2 = lookup_widget (GTK_WIDGET (wpl), "wpl_wtorek_2");
	strcpy (plan[1].dzien[2], gtk_entry_get_text (GTK_ENTRY (wpl_wtorek_2)));
	
	GtkWidget *wpl_wtorek_3 = lookup_widget (GTK_WIDGET (wpl), "wpl_wtorek_3");
	strcpy (plan[1].dzien[3], gtk_entry_get_text (GTK_ENTRY (wpl_wtorek_3)));
	
	GtkWidget *wpl_wtorek_4 = lookup_widget (GTK_WIDGET (wpl), "wpl_wtorek_4");
	strcpy (plan[1].dzien[4], gtk_entry_get_text (GTK_ENTRY (wpl_wtorek_4)));
	
	GtkWidget *wpl_wtorek_5 = lookup_widget (GTK_WIDGET (wpl), "wpl_wtorek_5");
	strcpy (plan[1].dzien[5], gtk_entry_get_text (GTK_ENTRY (wpl_wtorek_5)));
	
	GtkWidget *wpl_wtorek_6 = lookup_widget (GTK_WIDGET (wpl), "wpl_wtorek_6");
	strcpy (plan[1].dzien[6], gtk_entry_get_text (GTK_ENTRY (wpl_wtorek_6)));
	
	GtkWidget *wpl_wtorek_7 = lookup_widget (GTK_WIDGET (wpl), "wpl_wtorek_7");
	strcpy (plan[1].dzien[7], gtk_entry_get_text (GTK_ENTRY (wpl_wtorek_7)));
	
	GtkWidget *wpl_wtorek_8 = lookup_widget (GTK_WIDGET (wpl), "wpl_wtorek_8");
	strcpy (plan[1].dzien[8], gtk_entry_get_text (GTK_ENTRY (wpl_wtorek_8)));
	
	
	// sroda
	GtkWidget *wpl_sroda_1 = lookup_widget (GTK_WIDGET (wpl), "wpl_sroda_1");
	strcpy (plan[2].dzien[1], gtk_entry_get_text (GTK_ENTRY (wpl_sroda_1)));
	
	GtkWidget *wpl_sroda_2 = lookup_widget (GTK_WIDGET (wpl), "wpl_sroda_2");
	strcpy (plan[2].dzien[2], gtk_entry_get_text (GTK_ENTRY (wpl_sroda_2)));
	
	GtkWidget *wpl_sroda_3 = lookup_widget (GTK_WIDGET (wpl), "wpl_sroda_3");
	strcpy (plan[2].dzien[3], gtk_entry_get_text (GTK_ENTRY (wpl_sroda_3)));
	
	GtkWidget *wpl_sroda_4 = lookup_widget (GTK_WIDGET (wpl), "wpl_sroda_4");
	strcpy (plan[2].dzien[4], gtk_entry_get_text (GTK_ENTRY (wpl_sroda_4)));
	
	GtkWidget *wpl_sroda_5 = lookup_widget (GTK_WIDGET (wpl), "wpl_sroda_5");
	strcpy (plan[2].dzien[5], gtk_entry_get_text (GTK_ENTRY (wpl_sroda_5)));
	
	GtkWidget *wpl_sroda_6 = lookup_widget (GTK_WIDGET (wpl), "wpl_sroda_6");
	strcpy (plan[2].dzien[6], gtk_entry_get_text (GTK_ENTRY (wpl_sroda_6)));
	
	GtkWidget *wpl_sroda_7 = lookup_widget (GTK_WIDGET (wpl), "wpl_sroda_7");
	strcpy (plan[2].dzien[7], gtk_entry_get_text (GTK_ENTRY (wpl_sroda_7)));
	
	GtkWidget *wpl_sroda_8 = lookup_widget (GTK_WIDGET (wpl), "wpl_sroda_8");
	strcpy (plan[2].dzien[8], gtk_entry_get_text (GTK_ENTRY (wpl_sroda_8)));
	
	
	// czwartek
	GtkWidget *wpl_czwartek_1 = lookup_widget (GTK_WIDGET (wpl), "wpl_czwartek_1");
	strcpy (plan[3].dzien[1], gtk_entry_get_text (GTK_ENTRY (wpl_czwartek_1)));
	
	GtkWidget *wpl_czwartek_2 = lookup_widget (GTK_WIDGET (wpl), "wpl_czwartek_2");
	strcpy (plan[3].dzien[2], gtk_entry_get_text (GTK_ENTRY (wpl_czwartek_2)));
	
	GtkWidget *wpl_czwartek_3 = lookup_widget (GTK_WIDGET (wpl), "wpl_czwartek_3");
	strcpy (plan[3].dzien[3], gtk_entry_get_text (GTK_ENTRY (wpl_czwartek_3)));
	
	GtkWidget *wpl_czwartek_4 = lookup_widget (GTK_WIDGET (wpl), "wpl_czwartek_4");
	strcpy (plan[3].dzien[4], gtk_entry_get_text (GTK_ENTRY (wpl_czwartek_4)));
	
	GtkWidget *wpl_czwartek_5 = lookup_widget (GTK_WIDGET (wpl), "wpl_czwartek_5");
	strcpy (plan[3].dzien[5], gtk_entry_get_text (GTK_ENTRY (wpl_czwartek_5)));
	
	GtkWidget *wpl_czwartek_6 = lookup_widget (GTK_WIDGET (wpl), "wpl_czwartek_6");
	strcpy (plan[3].dzien[6], gtk_entry_get_text (GTK_ENTRY (wpl_czwartek_6)));
	
	GtkWidget *wpl_czwartek_7 = lookup_widget (GTK_WIDGET (wpl), "wpl_czwartek_7");
	strcpy (plan[3].dzien[7], gtk_entry_get_text (GTK_ENTRY (wpl_czwartek_7)));
	
	GtkWidget *wpl_czwartek_8 = lookup_widget (GTK_WIDGET (wpl), "wpl_czwartek_8");
	strcpy (plan[3].dzien[8], gtk_entry_get_text (GTK_ENTRY (wpl_czwartek_8)));
	
	
	// piatek
	GtkWidget *wpl_piatek_1 = lookup_widget (GTK_WIDGET (wpl), "wpl_piatek_1");
	strcpy (plan[4].dzien[1], gtk_entry_get_text (GTK_ENTRY (wpl_piatek_1)));
	
	GtkWidget *wpl_piatek_2 = lookup_widget (GTK_WIDGET (wpl), "wpl_piatek_2");
	strcpy (plan[4].dzien[2], gtk_entry_get_text (GTK_ENTRY (wpl_piatek_2)));
	
	GtkWidget *wpl_piatek_3 = lookup_widget (GTK_WIDGET (wpl), "wpl_piatek_3");
	strcpy (plan[4].dzien[3], gtk_entry_get_text (GTK_ENTRY (wpl_piatek_3)));
	
	GtkWidget *wpl_piatek_4 = lookup_widget (GTK_WIDGET (wpl), "wpl_piatek_4");
	strcpy (plan[4].dzien[4], gtk_entry_get_text (GTK_ENTRY (wpl_piatek_4)));
	
	GtkWidget *wpl_piatek_5 = lookup_widget (GTK_WIDGET (wpl), "wpl_piatek_5");
	strcpy (plan[4].dzien[5], gtk_entry_get_text (GTK_ENTRY (wpl_piatek_5)));
	
	GtkWidget *wpl_piatek_6 = lookup_widget (GTK_WIDGET (wpl), "wpl_piatek_6");
	strcpy (plan[4].dzien[6], gtk_entry_get_text (GTK_ENTRY (wpl_piatek_6)));
	
	GtkWidget *wpl_piatek_7 = lookup_widget (GTK_WIDGET (wpl), "wpl_piatek_7");
	strcpy (plan[4].dzien[7], gtk_entry_get_text (GTK_ENTRY (wpl_piatek_7)));
	
	GtkWidget *wpl_piatek_8 = lookup_widget (GTK_WIDGET (wpl), "wpl_piatek_8");
	strcpy (plan[4].dzien[8], gtk_entry_get_text (GTK_ENTRY (wpl_piatek_8)));
}


int wypelnij_plan_lekcji (GtkWidget *wpl)
{
	// poniedzialek
	GtkWidget *wpl_poniedzialek_1 = lookup_widget (GTK_WIDGET (wpl), "wpl_poniedzialek_1");
	gtk_entry_set_text (GTK_ENTRY (wpl_poniedzialek_1), plan[0].dzien [1]);

	GtkWidget *wpl_poniedzialek_2 = lookup_widget (GTK_WIDGET (wpl), "wpl_poniedzialek_2");
	gtk_entry_set_text (GTK_ENTRY (wpl_poniedzialek_2), plan[0].dzien [2]);

	GtkWidget *wpl_poniedzialek_3 = lookup_widget (GTK_WIDGET (wpl), "wpl_poniedzialek_3");
	gtk_entry_set_text (GTK_ENTRY (wpl_poniedzialek_3), plan[0].dzien [3]);

	GtkWidget *wpl_poniedzialek_4 = lookup_widget (GTK_WIDGET (wpl), "wpl_poniedzialek_4");
	gtk_entry_set_text (GTK_ENTRY (wpl_poniedzialek_4), plan[0].dzien [4]);

	GtkWidget *wpl_poniedzialek_5 = lookup_widget (GTK_WIDGET (wpl), "wpl_poniedzialek_5");
	gtk_entry_set_text (GTK_ENTRY (wpl_poniedzialek_5), plan[0].dzien [5]);

	GtkWidget *wpl_poniedzialek_6 = lookup_widget (GTK_WIDGET (wpl), "wpl_poniedzialek_6");
	gtk_entry_set_text (GTK_ENTRY (wpl_poniedzialek_6), plan[0].dzien [6]);

	GtkWidget *wpl_poniedzialek_7 = lookup_widget (GTK_WIDGET (wpl), "wpl_poniedzialek_7");
	gtk_entry_set_text (GTK_ENTRY (wpl_poniedzialek_7), plan[0].dzien [7]);

	GtkWidget *wpl_poniedzialek_8 = lookup_widget (GTK_WIDGET (wpl), "wpl_poniedzialek_8");
	gtk_entry_set_text (GTK_ENTRY (wpl_poniedzialek_8), plan[0].dzien [8]);
	
	
	// wtorek
	GtkWidget *wpl_wtorek_1 = lookup_widget (GTK_WIDGET (wpl), "wpl_wtorek_1");
	gtk_entry_set_text (GTK_ENTRY (wpl_wtorek_1), plan[1].dzien [1]);
	
	GtkWidget *wpl_wtorek_2 = lookup_widget (GTK_WIDGET (wpl), "wpl_wtorek_2");
	gtk_entry_set_text (GTK_ENTRY (wpl_wtorek_2), plan[1].dzien [2]);
	
	GtkWidget *wpl_wtorek_3 = lookup_widget (GTK_WIDGET (wpl), "wpl_wtorek_3");
	gtk_entry_set_text (GTK_ENTRY (wpl_wtorek_3), plan[1].dzien [3]);
	
	GtkWidget *wpl_wtorek_4 = lookup_widget (GTK_WIDGET (wpl), "wpl_wtorek_4");
	gtk_entry_set_text (GTK_ENTRY (wpl_wtorek_4), plan[1].dzien [4]);
	
	GtkWidget *wpl_wtorek_5 = lookup_widget (GTK_WIDGET (wpl), "wpl_wtorek_5");
	gtk_entry_set_text (GTK_ENTRY (wpl_wtorek_5), plan[1].dzien [5]);
	
	GtkWidget *wpl_wtorek_6 = lookup_widget (GTK_WIDGET (wpl), "wpl_wtorek_6");
	gtk_entry_set_text (GTK_ENTRY (wpl_wtorek_6), plan[1].dzien [6]);
	
	GtkWidget *wpl_wtorek_7 = lookup_widget (GTK_WIDGET (wpl), "wpl_wtorek_7");
	gtk_entry_set_text (GTK_ENTRY (wpl_wtorek_7), plan[1].dzien [7]);
	
	GtkWidget *wpl_wtorek_8 = lookup_widget (GTK_WIDGET (wpl), "wpl_wtorek_8");
	gtk_entry_set_text (GTK_ENTRY (wpl_wtorek_8), plan[1].dzien [8]);
	
	
	// sroda
	GtkWidget *wpl_sroda_1 = lookup_widget (GTK_WIDGET (wpl), "wpl_sroda_1");
	gtk_entry_set_text (GTK_ENTRY (wpl_sroda_1), plan[2].dzien [1]);
	
	GtkWidget *wpl_sroda_2 = lookup_widget (GTK_WIDGET (wpl), "wpl_sroda_2");
	gtk_entry_set_text (GTK_ENTRY (wpl_sroda_2), plan[2].dzien [2]);
	
	GtkWidget *wpl_sroda_3 = lookup_widget (GTK_WIDGET (wpl), "wpl_sroda_3");
	gtk_entry_set_text (GTK_ENTRY (wpl_sroda_3), plan[2].dzien [3]);
	
	GtkWidget *wpl_sroda_4 = lookup_widget (GTK_WIDGET (wpl), "wpl_sroda_4");
	gtk_entry_set_text (GTK_ENTRY (wpl_sroda_4), plan[2].dzien [4]);
	
	GtkWidget *wpl_sroda_5 = lookup_widget (GTK_WIDGET (wpl), "wpl_sroda_5");
	gtk_entry_set_text (GTK_ENTRY (wpl_sroda_5), plan[2].dzien [5]);
	
	GtkWidget *wpl_sroda_6 = lookup_widget (GTK_WIDGET (wpl), "wpl_sroda_6");
	gtk_entry_set_text (GTK_ENTRY (wpl_sroda_6), plan[2].dzien [6]);
	
	GtkWidget *wpl_sroda_7 = lookup_widget (GTK_WIDGET (wpl), "wpl_sroda_7");
	gtk_entry_set_text (GTK_ENTRY (wpl_sroda_7), plan[2].dzien [7]);
	
	GtkWidget *wpl_sroda_8 = lookup_widget (GTK_WIDGET (wpl), "wpl_sroda_8");
	gtk_entry_set_text (GTK_ENTRY (wpl_sroda_8), plan[2].dzien [8]);
	
	
	// czwartek
	GtkWidget *wpl_czwartek_1 = lookup_widget (GTK_WIDGET (wpl), "wpl_czwartek_1");
	gtk_entry_set_text (GTK_ENTRY (wpl_czwartek_1), plan[3].dzien [1]);
	
	GtkWidget *wpl_czwartek_2 = lookup_widget (GTK_WIDGET (wpl), "wpl_czwartek_2");
	gtk_entry_set_text (GTK_ENTRY (wpl_czwartek_2), plan[3].dzien [2]);
	
	GtkWidget *wpl_czwartek_3 = lookup_widget (GTK_WIDGET (wpl), "wpl_czwartek_3");
	gtk_entry_set_text (GTK_ENTRY (wpl_czwartek_3), plan[3].dzien [3]);
	
	GtkWidget *wpl_czwartek_4 = lookup_widget (GTK_WIDGET (wpl), "wpl_czwartek_4");
	gtk_entry_set_text (GTK_ENTRY (wpl_czwartek_4), plan[3].dzien [4]);
	
	GtkWidget *wpl_czwartek_5 = lookup_widget (GTK_WIDGET (wpl), "wpl_czwartek_5");
	gtk_entry_set_text (GTK_ENTRY (wpl_czwartek_5), plan[3].dzien [5]);
	
	GtkWidget *wpl_czwartek_6 = lookup_widget (GTK_WIDGET (wpl), "wpl_czwartek_6");
	gtk_entry_set_text (GTK_ENTRY (wpl_czwartek_6), plan[3].dzien [6]);
	
	GtkWidget *wpl_czwartek_7 = lookup_widget (GTK_WIDGET (wpl), "wpl_czwartek_7");
	gtk_entry_set_text (GTK_ENTRY (wpl_czwartek_7), plan[3].dzien [7]);
	
	GtkWidget *wpl_czwartek_8 = lookup_widget (GTK_WIDGET (wpl), "wpl_czwartek_8");
	gtk_entry_set_text (GTK_ENTRY (wpl_czwartek_8), plan[3].dzien [8]);
	
	
	// piatek
	GtkWidget *wpl_piatek_1 = lookup_widget (GTK_WIDGET (wpl), "wpl_piatek_1");
	gtk_entry_set_text (GTK_ENTRY (wpl_piatek_1), plan[4].dzien [1]);
	
	GtkWidget *wpl_piatek_2 = lookup_widget (GTK_WIDGET (wpl), "wpl_piatek_2");
	gtk_entry_set_text (GTK_ENTRY (wpl_piatek_2), plan[4].dzien [2]);
	
	GtkWidget *wpl_piatek_3 = lookup_widget (GTK_WIDGET (wpl), "wpl_piatek_3");
	gtk_entry_set_text (GTK_ENTRY (wpl_piatek_3), plan[4].dzien [3]);
	
	GtkWidget *wpl_piatek_4 = lookup_widget (GTK_WIDGET (wpl), "wpl_piatek_4");
	gtk_entry_set_text (GTK_ENTRY (wpl_piatek_4), plan[4].dzien [4]);
	
	GtkWidget *wpl_piatek_5 = lookup_widget (GTK_WIDGET (wpl), "wpl_piatek_5");
	gtk_entry_set_text (GTK_ENTRY (wpl_piatek_5), plan[4].dzien [5]);
	
	GtkWidget *wpl_piatek_6 = lookup_widget (GTK_WIDGET (wpl), "wpl_piatek_6");
	gtk_entry_set_text (GTK_ENTRY (wpl_piatek_6), plan[4].dzien [6]);
	
	GtkWidget *wpl_piatek_7 = lookup_widget (GTK_WIDGET (wpl), "wpl_piatek_7");
	gtk_entry_set_text (GTK_ENTRY (wpl_piatek_7), plan[4].dzien [7]);
	
	GtkWidget *wpl_piatek_8 = lookup_widget (GTK_WIDGET (wpl), "wpl_piatek_8");
	gtk_entry_set_text (GTK_ENTRY (wpl_piatek_8), plan[4].dzien [8]);
}


int uaktualnij_sprawdzian (char tekst[100])
{
	GtkWidget *spr_etykieta = lookup_widget (GTK_WIDGET (main_widget), "wm_najblizszy_spr");
	gtk_label_set_label(GTK_LABEL (spr_etykieta), tekst);
}


void uaktualnij_licznik (char tekst[100])
{
	GtkWidget *licznik_etykieta = lookup_widget (GTK_WIDGET (main_widget), "mw_licznik");
	gtk_label_set_label(GTK_LABEL (licznik_etykieta), tekst);
}
