/***************************************************************************
 *            var.c
 *
 *  Thu Mar 25 22:14:17 2004
 *  Copyright  2004  Marcin Krzywonos
 *  e-mail: mkk@akcja.pl
 ****************************************************************************/

 /*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
 
#include <time.h>
#include "var.h"


char *gboolean_to_char (gboolean wartosc)
{
	if (wartosc == TRUE)
		return "TRUE";
	else
		return "FALSE";
}


gboolean char_to_gboolean (char *wartosc)
{
	if (strlen (wartosc) == 4)
		return TRUE;
	else
		return FALSE;
}


czas_struct czas ()
{
	time_t       czas_tmp = time (NULL);
	czas_struct  tmp;
	struct tm   *tstruct;
	
	tstruct     = localtime (&czas_tmp);
	tmp.godzina = tstruct->tm_hour;
	tmp.minuta  = tstruct->tm_min;
	tmp.sekunda = tstruct->tm_sec;
	
	return tmp;
}


typ_data data ()
{
	time_t     data_tmp = time (NULL);
	typ_data   tmp;
	struct tm *tstruct;
	
	tstruct     = localtime (&data_tmp);
	tmp.dzien   = tstruct->tm_mday;
	tmp.miesiac = tstruct->tm_mon;
	tmp.rok     = tstruct->tm_year;
	
	tmp.miesiac++;
	tmp.rok += 1900;
	
	return tmp;
}


typ_data data_rozkoduj (time_t data)
{
	typ_data   tmp;
	struct tm *tstruct;
	
	tstruct     = localtime (&data);
	tmp.dzien   = tstruct->tm_mday;
	tmp.miesiac = tstruct->tm_mon;
	tmp.rok     = tstruct->tm_year;
	
	tmp.miesiac++;
	tmp.rok += 1900;
	
	return tmp;
}


int ctoi (char c)
{
	switch (c) {
		case '0': return 0;
		case '1': return 1;
		case '2': return 2;
		case '3': return 3;
		case '4': return 4;
		case '5': return 5;
		case '6': return 6;
		case '7': return 7;
		case '8': return 8;
		case '9': return 9;
		default : return 0;
	}
}


float oblicz_procent (int liczba, int calosc)
{
	if (calosc == 0)
		return 0;
	else
		return ((liczba * 100) / calosc);
}
